Your system may not meet the requirements for Firefox, but you can try one of these versions:

Your system doesn't meet the requirements to run Firefox.

Your system doesn't meet the requirements to run Firefox.

Please follow these instructions to install Firefox.

Firefox Privacy Notice

Mozilla Foundation Security Advisory 2010-01

Crashes with evidence of memory corruption (rv:1.9.1.8/ 1.9.0.18)

Announced
February 17, 2010
Reporter
Mozilla developers and community
Impact
Critical
Products
Firefox, SeaMonkey, Thunderbird
Fixed in
  • Firefox 3.0.18
  • Firefox 3.5.8
  • Firefox 3.6
  • SeaMonkey 2.0.3
  • Thunderbird 3.0.2

Description

Mozilla developers identified and fixed several stability bugs in the browser engine used in Firefox and other Mozilla-based products. Some of these crashes showed evidence of memory corruption under certain circumstances and we presume that with enough effort at least some of these could be exploited to run arbitrary code.

Workaround

Disable JavaScript until a version containing these fixes can be installed.

References

Henri Sivonen, Boris Zbarsky, Zack Weinberg, Bob Clary, Martijn Wargers, and Paul Nickerson reported crashes in the browser engine.